Save template rules
curl --request POST \
--url https://sandbox.tight.com/v6/templates/rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "ttrl_12345678",
"status": "ACTIVE",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
},
"filter": {
"amount": {
"equal": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"description": {
"equal": "Office Supplies",
"contain": "Supplies"
},
"businessType": {
"id": {
"equal": "tgla_324231"
}
},
"templateGlAccount": {
"id": {
"equal": "tgla_324231"
}
}
},
"update": {
"reviewStatus": "RECONCILED",
"templateGlAccountId": "tgla_324231",
"vendorName": "Office Depot"
},
"applyToExistingUsers": false
}
]
}
'{
"data": [
{
"data": {
"id": "ttrl_12345678",
"status": "ACTIVE",
"filter": {
"amount": {
"equal": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"description": {
"equal": "Office Supplies",
"contain": "Supplies"
},
"businessType": {
"id": {
"equal": "tgla_324231"
}
},
"templateGlAccount": {
"id": {
"equal": "tgla_324231"
}
},
"vendorName": {
"name": "Office Depot"
}
},
"update": {
"reviewStatus": "RECONCILED",
"templateGlAccountId": "tgla_324231",
"vendorName": "Office Depot"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}Transaction Rules
Save template rules
Save new (or update existing) template rules
POST
/
v6
/
templates
/
rules
Save template rules
curl --request POST \
--url https://sandbox.tight.com/v6/templates/rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "ttrl_12345678",
"status": "ACTIVE",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
},
"filter": {
"amount": {
"equal": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"description": {
"equal": "Office Supplies",
"contain": "Supplies"
},
"businessType": {
"id": {
"equal": "tgla_324231"
}
},
"templateGlAccount": {
"id": {
"equal": "tgla_324231"
}
}
},
"update": {
"reviewStatus": "RECONCILED",
"templateGlAccountId": "tgla_324231",
"vendorName": "Office Depot"
},
"applyToExistingUsers": false
}
]
}
'{
"data": [
{
"data": {
"id": "ttrl_12345678",
"status": "ACTIVE",
"filter": {
"amount": {
"equal": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"description": {
"equal": "Office Supplies",
"contain": "Supplies"
},
"businessType": {
"id": {
"equal": "tgla_324231"
}
},
"templateGlAccount": {
"id": {
"equal": "tgla_324231"
}
},
"vendorName": {
"name": "Office Depot"
}
},
"update": {
"reviewStatus": "RECONCILED",
"templateGlAccountId": "tgla_324231",
"vendorName": "Office Depot"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.
Body
application/json
Show child attributes
Show child attributes
⌘I